﻿#!/usr/bin/perl -w
# fasta 形式で保存されている配列の改行をとって配列を一つのラインにする．
# perl LineBreakDeleter.pl


use strict;
use warnings;

my $infile = "$ARGV[0]";
my $stone = 0;

my @fastadata = ( );

open(FILE,"$infile");
@fastadata = <FILE>;
close FILE;

foreach my $line (@fastadata) {
  chomp($line);
  if($stone == 0 && $line =~ /^>/){
    print "$line\n";
    $stone = 1;
  } else {
    if($line =~ /^>/){
      print "\n$line\n";
    } else {
      print "$line";
    }
  }
}
print "\n";